base-unicode-symbols-0.2.4.2: Unicode alternatives for common functions and operators

Safe Haskell | Safe-Inferred
Language | Haskell98

Data.Foldable.Unicode

Synopsis

- (∈) :: (Foldable t, Eq α) => α -> t α -> Bool
- (∋) :: (Foldable t, Eq α) => t α -> α -> Bool
- (∉) :: (Foldable t, Eq α) => α -> t α -> Bool
- (∌) :: (Foldable t, Eq α) => t α -> α -> Bool

# Documentation

(∈) :: (Foldable t, Eq α) => α -> t α -> Bool infix 4 Source #

(∈) = `elem`

U+2208, ELEMENT OF

(∋) :: (Foldable t, Eq α) => t α -> α -> Bool infix 4 Source #

(∋) = `flip` (∈)

U+220B, CONTAINS AS MEMBER

(∉) :: (Foldable t, Eq α) => α -> t α -> Bool infix 4 Source #

(∉) = `notElem`

U+2209, NOT AN ELEMENT OF

(∌) :: (Foldable t, Eq α) => t α -> α -> Bool infix 4 Source #

(∌) = `flip` (∉)

U+220C, DOES NOT CONTAIN AS MEMBER